package com.yd.csf.service.enums;

/**
 * 基本法项目枚举
 */
public enum RuleItemConfigEnum {

    XS_YJ("rule_item_config_FePX0vpJQ9bU1vEo","commission_rule_config_dJea6a7rM8j38zK5","ITEM4736190590","销售佣金"),
    XQ_XS_YJ("rule_item_config_Gxw21FGdwg29RFz","commission_rule_config_dJea6a7rM8j38zK5","ITEM4570368732","续期销售佣金"),

    ;

    /**
     * 基本法项目配置表唯一业务ID
     */
    private String ruleItemBizId;

    /**
     * 基本法配置表唯一业务ID
     */
    private String ruleBizId;

    /**
     * 基本法项目编码
     */
    private String itemCode;

    /**
     * 基本法项目名称
     */
    private String itemName;

    //构造函数
    RuleItemConfigEnum(String ruleItemBizId, String ruleBizId,String itemCode,String itemName) {
        this.ruleItemBizId = ruleItemBizId;
        this.ruleBizId = ruleBizId;
        this.itemCode = itemCode;
        this.itemName = itemName;
    }

    public String getRuleItemBizId() {
        return ruleItemBizId;
    }

    public String getRuleBizId() {
        return ruleBizId;
    }

    public String getItemCode() {
        return itemCode;
    }

    public String getItemName() {
        return itemName;
    }
}
